Skip to Content
EIS
API Referencev1Services

Filter Service Catalog Entries

GET
/v1/service/filter

Retrieve catalog entries for a service type and provider, optionally filtering by name. Requires the service_view authority.

Query Parameters

typeId*integer

Service type identifier.

providerId*integer

Service provider identifier.

name?string

Optional case-insensitive name filter.

Response Body

Service catalog entries retrieved successfully.

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.eis.it/v1/service/filter?typeId=0&providerId=0'
Example Response
[  {    "id": 0,    "name": "string",    "serviceProvider": {      "id": 0,      "name": "string",      "description": "string"    },    "carrier": {      "id": 0,      "name": "string"    },    "type": {      "id": 0,      "name": "string"    },    "supplierProductId": "string"  }]